Class | CompletingHash
In: | optparse.rb
Parent: | Hash

Hash with completion search feature. See Completion module.

### Methods

match

### Included Modules

Completion

### Public Instance methods

match(key)

OptionParser::CompletingHash#match(key)

Completion for hash key.

[Source]

    # File optparse.rb, line 702
        def match(key)
          return key, *fetch(key) {
            raise AmbiguousArgument, catch(:ambiguous) {return complete(key)}
          }
        end

[Validate]